2

I am trying to install both PostgreSQL and the PostGIS extension onto my RedHat Linux server. I have been able to install PostgreSQL with the yum installation however I cannot install PostGIS this way and have come across several issues. I need to have both installed so I can reach the information from a webmap I'm trying to create.

  • 1
    what issues have you had? – Mapperz Sep 25 '18 at 2:15
  • 2
    are you using this official guide? postgresonline.com/journal/archives/… – Mapperz Sep 25 '18 at 2:19
  • Error: Package: gdal-libs-1.11.4-12.rhel7.x86_64 (pgdg10) Requires: libarmadillo.so.8()(64bit) The above is my specific issue – Tina Y. PerezDeharo Sep 26 '18 at 0:52
  • I have been using the official guide thank you, I have used the 9.4 version however and have made it up to the sudo yum install postgis2_95 step (I replaced the 95 with 94) – Tina Y. PerezDeharo Sep 26 '18 at 0:54
  • Maybe take a look at this thread: link If you don't need anything specific, the simpliest way is to use ready-to-use docker. Install docker on your server and just do, for example: sudo docker run --name "postgis" -p 5432:5432 -d -t kartoza/postgis. This would launch it and make it accessible on the 5432 port from the exterior. – robin loche Sep 26 '18 at 8:29

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.